pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 5.5.0 20171010 [gcc-5-branch revision 253640]" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gnatlink" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#56353217#;
   pragma Export (C, u00001, "gnatlinkB");
   u00002 : constant Version_32 := 16#e72e593c#;
   pragma Export (C, u00002, "gnatlinkS");
   u00003 : constant Version_32 := 16#fbff4c67#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#1ec6fd90#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00005, "adaS");
   u00006 : constant Version_32 := 16#9b14b3ac#;
   pragma Export (C, u00006, "ada__command_lineB");
   u00007 : constant Version_32 := 16#d59e21a4#;
   pragma Export (C, u00007, "ada__command_lineS");
   u00008 : constant Version_32 := 16#1d274481#;
   pragma Export (C, u00008, "systemS");
   u00009 : constant Version_32 := 16#b19b6653#;
   pragma Export (C, u00009, "system__secondary_stackB");
   u00010 : constant Version_32 := 16#b6468be8#;
   pragma Export (C, u00010, "system__secondary_stackS");
   u00011 : constant Version_32 := 16#b01dad17#;
   pragma Export (C, u00011, "system__parametersB");
   u00012 : constant Version_32 := 16#630d49fe#;
   pragma Export (C, u00012, "system__parametersS");
   u00013 : constant Version_32 := 16#a207fefe#;
   pragma Export (C, u00013, "system__soft_linksB");
   u00014 : constant Version_32 := 16#467d9556#;
   pragma Export (C, u00014, "system__soft_linksS");
   u00015 : constant Version_32 := 16#2c143749#;
   pragma Export (C, u00015, "ada__exceptionsB");
   u00016 : constant Version_32 := 16#f4f0cce8#;
   pragma Export (C, u00016, "ada__exceptionsS");
   u00017 : constant Version_32 := 16#a46739c0#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerB");
   u00018 : constant Version_32 := 16#3aac8c92#;
   pragma Export (C, u00018, "ada__exceptions__last_chance_handlerS");
   u00019 : constant Version_32 := 16#393398c1#;
   pragma Export (C, u00019, "system__exception_tableB");
   u00020 : constant Version_32 := 16#b33e2294#;
   pragma Export (C, u00020, "system__exception_tableS");
   u00021 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00021, "system__exceptionsB");
   u00022 : constant Version_32 := 16#75442977#;
   pragma Export (C, u00022, "system__exceptionsS");
   u00023 : constant Version_32 := 16#37d758f1#;
   pragma Export (C, u00023, "system__exceptions__machineS");
   u00024 : constant Version_32 := 16#b895431d#;
   pragma Export (C, u00024, "system__exceptions_debugB");
   u00025 : constant Version_32 := 16#aec55d3f#;
   pragma Export (C, u00025, "system__exceptions_debugS");
   u00026 : constant Version_32 := 16#570325c8#;
   pragma Export (C, u00026, "system__img_intB");
   u00027 : constant Version_32 := 16#1ffca443#;
   pragma Export (C, u00027, "system__img_intS");
   u00028 : constant Version_32 := 16#39a03df9#;
   pragma Export (C, u00028, "system__storage_elementsB");
   u00029 : constant Version_32 := 16#30e40e85#;
   pragma Export (C, u00029, "system__storage_elementsS");
   u00030 : constant Version_32 := 16#b98c3e16#;
   pragma Export (C, u00030, "system__tracebackB");
   u00031 : constant Version_32 := 16#831a9d5a#;
   pragma Export (C, u00031, "system__tracebackS");
   u00032 : constant Version_32 := 16#9ed49525#;
   pragma Export (C, u00032, "system__traceback_entriesB");
   u00033 : constant Version_32 := 16#1d7cb2f1#;
   pragma Export (C, u00033, "system__traceback_entriesS");
   u00034 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00034, "system__wch_conB");
   u00035 : constant Version_32 := 16#065a6653#;
   pragma Export (C, u00035, "system__wch_conS");
   u00036 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00036, "system__wch_stwB");
   u00037 : constant Version_32 := 16#2b4b4a52#;
   pragma Export (C, u00037, "system__wch_stwS");
   u00038 : constant Version_32 := 16#92b797cb#;
   pragma Export (C, u00038, "system__wch_cnvB");
   u00039 : constant Version_32 := 16#09eddca0#;
   pragma Export (C, u00039, "system__wch_cnvS");
   u00040 : constant Version_32 := 16#6033a23f#;
   pragma Export (C, u00040, "interfacesS");
   u00041 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00041, "system__wch_jisB");
   u00042 : constant Version_32 := 16#899dc581#;
   pragma Export (C, u00042, "system__wch_jisS");
   u00043 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00043, "system__stack_checkingB");
   u00044 : constant Version_32 := 16#93982f69#;
   pragma Export (C, u00044, "system__stack_checkingS");
   u00045 : constant Version_32 := 16#dfab7cce#;
   pragma Export (C, u00045, "aliB");
   u00046 : constant Version_32 := 16#bdd984ce#;
   pragma Export (C, u00046, "aliS");
   u00047 : constant Version_32 := 16#b75402bb#;
   pragma Export (C, u00047, "butilB");
   u00048 : constant Version_32 := 16#b2c5db85#;
   pragma Export (C, u00048, "butilS");
   u00049 : constant Version_32 := 16#0f7a89b6#;
   pragma Export (C, u00049, "outputB");
   u00050 : constant Version_32 := 16#b45d9d99#;
   pragma Export (C, u00050, "outputS");
   u00051 : constant Version_32 := 16#1767a79e#;
   pragma Export (C, u00051, "system__assertionsB");
   u00052 : constant Version_32 := 16#d0aa6815#;
   pragma Export (C, u00052, "system__assertionsS");
   u00053 : constant Version_32 := 16#c19a3c01#;
   pragma Export (C, u00053, "hostparmS");
   u00054 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00054, "system__concat_2B");
   u00055 : constant Version_32 := 16#1f879351#;
   pragma Export (C, u00055, "system__concat_2S");
   u00056 : constant Version_32 := 16#1df8e21c#;
   pragma Export (C, u00056, "typesB");
   u00057 : constant Version_32 := 16#95db56f3#;
   pragma Export (C, u00057, "typesS");
   u00058 : constant Version_32 := 16#5b9edcc4#;
   pragma Export (C, u00058, "system__compare_array_unsigned_8B");
   u00059 : constant Version_32 := 16#b424350c#;
   pragma Export (C, u00059, "system__compare_array_unsigned_8S");
   u00060 : constant Version_32 := 16#5f72f755#;
   pragma Export (C, u00060, "system__address_operationsB");
   u00061 : constant Version_32 := 16#0e2bfab2#;
   pragma Export (C, u00061, "system__address_operationsS");
   u00062 : constant Version_32 := 16#807fe041#;
   pragma Export (C, u00062, "system__unsigned_typesS");
   u00063 : constant Version_32 := 16#07e6ee66#;
   pragma Export (C, u00063, "system__os_libB");
   u00064 : constant Version_32 := 16#d7b69782#;
   pragma Export (C, u00064, "system__os_libS");
   u00065 : constant Version_32 := 16#d1060688#;
   pragma Export (C, u00065, "system__case_utilB");
   u00066 : constant Version_32 := 16#392e2d56#;
   pragma Export (C, u00066, "system__case_utilS");
   u00067 : constant Version_32 := 16#6db6928f#;
   pragma Export (C, u00067, "system__crtlS");
   u00068 : constant Version_32 := 16#1a817b8e#;
   pragma Export (C, u00068, "system__stringsB");
   u00069 : constant Version_32 := 16#639855e7#;
   pragma Export (C, u00069, "system__stringsS");
   u00070 : constant Version_32 := 16#b471e504#;
   pragma Export (C, u00070, "nametB");
   u00071 : constant Version_32 := 16#0def2e1a#;
   pragma Export (C, u00071, "nametS");
   u00072 : constant Version_32 := 16#f7c84cf8#;
   pragma Export (C, u00072, "debugB");
   u00073 : constant Version_32 := 16#3ea59655#;
   pragma Export (C, u00073, "debugS");
   u00074 : constant Version_32 := 16#0ba7bde7#;
   pragma Export (C, u00074, "optB");
   u00075 : constant Version_32 := 16#b0eaa614#;
   pragma Export (C, u00075, "optS");
   u00076 : constant Version_32 := 16#59806deb#;
   pragma Export (C, u00076, "gnatvsnB");
   u00077 : constant Version_32 := 16#aa00e04c#;
   pragma Export (C, u00077, "gnatvsnS");
   u00078 : constant Version_32 := 16#1941e58b#;
   pragma Export (C, u00078, "tree_ioB");
   u00079 : constant Version_32 := 16#4b02e956#;
   pragma Export (C, u00079, "tree_ioS");
   u00080 : constant Version_32 := 16#40065014#;
   pragma Export (C, u00080, "widecharB");
   u00081 : constant Version_32 := 16#5c40acf5#;
   pragma Export (C, u00081, "widecharS");
   u00082 : constant Version_32 := 16#61013b91#;
   pragma Export (C, u00082, "allocS");
   u00083 : constant Version_32 := 16#61f3f260#;
   pragma Export (C, u00083, "tableB");
   u00084 : constant Version_32 := 16#803f76d8#;
   pragma Export (C, u00084, "tableS");
   u00085 : constant Version_32 := 16#9d39c675#;
   pragma Export (C, u00085, "system__memoryB");
   u00086 : constant Version_32 := 16#445a22b5#;
   pragma Export (C, u00086, "system__memoryS");
   u00087 : constant Version_32 := 16#cb24830c#;
   pragma Export (C, u00087, "fnameB");
   u00088 : constant Version_32 := 16#c2c553a1#;
   pragma Export (C, u00088, "fnameS");
   u00089 : constant Version_32 := 16#38dcd369#;
   pragma Export (C, u00089, "osintB");
   u00090 : constant Version_32 := 16#6071cdf6#;
   pragma Export (C, u00090, "osintS");
   u00091 : constant Version_32 := 16#ecbd9d3f#;
   pragma Export (C, u00091, "fmapB");
   u00092 : constant Version_32 := 16#7c1f9d55#;
   pragma Export (C, u00092, "fmapS");
   u00093 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00093, "gnatS");
   u00094 : constant Version_32 := 16#be789e08#;
   pragma Export (C, u00094, "gnat__htableB");
   u00095 : constant Version_32 := 16#328c5a96#;
   pragma Export (C, u00095, "gnat__htableS");
   u00096 : constant Version_32 := 16#c3335bfd#;
   pragma Export (C, u00096, "system__htableB");
   u00097 : constant Version_32 := 16#99e5f76b#;
   pragma Export (C, u00097, "system__htableS");
   u00098 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00098, "system__string_hashB");
   u00099 : constant Version_32 := 16#3bbb9c15#;
   pragma Export (C, u00099, "system__string_hashS");
   u00100 : constant Version_32 := 16#c0b5d76b#;
   pragma Export (C, u00100, "sdefaultB");
   u00101 : constant Version_32 := 16#1bf555f5#;
   pragma Export (C, u00101, "sdefaultS");
   u00102 : constant Version_32 := 16#1b21c34e#;
   pragma Export (C, u00102, "targparmB");
   u00103 : constant Version_32 := 16#2e37a44a#;
   pragma Export (C, u00103, "targparmS");
   u00104 : constant Version_32 := 16#12fcec09#;
   pragma Export (C, u00104, "csetsB");
   u00105 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00105, "csetsS");
   u00106 : constant Version_32 := 16#d0432c8d#;
   pragma Export (C, u00106, "system__img_enum_newB");
   u00107 : constant Version_32 := 16#7c6b4241#;
   pragma Export (C, u00107, "system__img_enum_newS");
   u00108 : constant Version_32 := 16#201dd97c#;
   pragma Export (C, u00108, "ridentS");
   u00109 : constant Version_32 := 16#f03514fb#;
   pragma Export (C, u00109, "casingB");
   u00110 : constant Version_32 := 16#3fbcebaf#;
   pragma Export (C, u00110, "casingS");
   u00111 : constant Version_32 := 16#0a85a591#;
   pragma Export (C, u00111, "indepswB");
   u00112 : constant Version_32 := 16#ec1a0ec9#;
   pragma Export (C, u00112, "indepswS");
   u00113 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00113, "interfaces__cB");
   u00114 : constant Version_32 := 16#4a38bedb#;
   pragma Export (C, u00114, "interfaces__cS");
   u00115 : constant Version_32 := 16#c594ee87#;
   pragma Export (C, u00115, "interfaces__c__stringsB");
   u00116 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00116, "interfaces__c__stringsS");
   u00117 : constant Version_32 := 16#84a27f0d#;
   pragma Export (C, u00117, "interfaces__c_streamsB");
   u00118 : constant Version_32 := 16#8bb5f2c0#;
   pragma Export (C, u00118, "interfaces__c_streamsS");
   u00119 : constant Version_32 := 16#526ee503#;
   pragma Export (C, u00119, "snamesB");
   u00120 : constant Version_32 := 16#529e8696#;
   pragma Export (C, u00120, "snamesS");
   u00121 : constant Version_32 := 16#12630b24#;
   pragma Export (C, u00121, "switchB");
   u00122 : constant Version_32 := 16#73f6e864#;
   pragma Export (C, u00122, "switchS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.command_line%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.htable%s
   --  gnat.htable%s
   --  gnat.htable%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.os_lib%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  interfaces.c%s
   --  interfaces.c.strings%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.assertions%s
   --  system.assertions%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.secondary_stack%s
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  system.soft_links%b
   --  system.os_lib%b
   --  ada.command_line%b
   --  system.secondary_stack%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  casing%s
   --  gnatlink%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  indepsw%s
   --  indepsw%b
   --  opt%s
   --  csets%s
   --  csets%b
   --  output%s
   --  output%b
   --  rident%s
   --  sdefault%s
   --  switch%s
   --  tree_io%s
   --  tree_io%b
   --  opt%b
   --  table%s
   --  table%b
   --  namet%s
   --  ali%s
   --  butil%s
   --  butil%b
   --  fmap%s
   --  fname%s
   --  fname%b
   --  osint%s
   --  fmap%b
   --  ali%b
   --  switch%b
   --  sdefault%b
   --  snames%s
   --  snames%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  gnatlink%b
   --  widechar%s
   --  widechar%b
   --  namet%b
   --  casing%b
   --  END ELABORATION ORDER


end ada_main;
